from django.urls import re_path

from club import views
from django.views.generic import RedirectView

urlpatterns = [
    re_path(r"^$", views.liste, name="liste"),
    re_path(
        r"^(?P<id_page>arts|sports|technique|bureaux|listes|autres|ecoles|inp)$",
        views.liste,
        name="liste",
    ),
    re_path(
        r"^(?P<club_id>[a-z0-9_-]+)$",
        RedirectView.as_view(url="/clubs/%(club_id)s/", permanent=False),
    ),
    re_path(r"^(?P<club_id>[a-z0-9_-]+)/fiche/$", views.fiche, name="fiche"),
    re_path(
        r"^(?P<club_id>[a-z0-9_-]+)/blog/(?P<adresse>[a-zA-Z0-9_-]+)$",
        views.article,
        name="article",
    ),
    re_path(r"^(?P<club_id>[a-z0-9_-]+)/blog/$", views.liste_articles, name="liste_articles"),
    re_path(r"^(?P<club_id>[a-z0-9_-]+)/blog/rss/$", views.rss, name="rss"),
    re_path(
        r"^(?P<club_id>[a-z0-9_-]+)/blog/page/(?P<num_page>\d+)$",
        views.liste_articles,
        name="liste_articles",
    ),
]
